Closed Bug 955247 Opened 6 years ago Closed 6 years ago

Clean up ISUPPORT message handling

Categories

(Chat Core :: IRC, defect, minor)

defect
Not set
minor

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: clokep, Assigned: clokep)

Details

Attachments

(1 file, 1 obsolete file)

*** Original post on bio 1814 at 2012-11-21 14:29:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
Attached patch Patch (obsolete) — Splinter Review
*** Original post on bio 1814 as attmnt 2110 at 2012-11-21 14:29:00 UTC ***

We broke ISUPPORT at some point. I had a partial patch cleaning up ISUPPORT anyway (to make it match the way we do CAP), I cleaned that up and here we go.
Attachment #8353871 - Flags: review?(aleth)
*** Original post on bio 1814 as attmnt 2112 at 2012-11-21 16:06:00 UTC ***

Removes the ERROR statement.
Attachment #8353873 - Flags: review?(aleth)
Comment on attachment 8353871 [details] [diff] [review]
Patch

*** Original change on bio 1814 attmnt 2110 at 2012-11-21 16:06:29 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353871 - Attachment is obsolete: true
Attachment #8353871 - Flags: review?(aleth)
Assignee: nobody → clokep
Status: NEW → ASSIGNED
Severity: major → minor
Summary: Fix ISUPPORT (Watch/Monitor) → Clean up ISUPPORT message handling
Comment on attachment 8353873 [details] [diff] [review]
Patch without debug statement

*** Original change on bio 1814 attmnt 2112 at 2012-11-21 17:52:26 UTC ***

Definitely an improvement :)
Attachment #8353873 - Flags: review?(aleth) → review+
Whiteboard: [checkin-needed]
*** Original post on bio 1814 at 2012-11-21 17:58:42 UTC ***

(In reply to comment #0)
> We broke ISUPPORT at some point. I had a partial patch cleaning up ISUPPORT
> anyway (to make it match the way we do CAP), I cleaned that up and here we go.
For the record, ISUPPORT was not broken - we just don't seem to be receiving status change messages in all cases where we should be.
*** Original post on bio 1814 at 2012-11-21 23:53:57 UTC ***

After reading http://log.bezut.info/instantbird/today#m423, I'm not sure if you want this checked in or if you want to wait for a few days with the current code to see if things get better by themselves with server side changes.
*** Original post on bio 1814 at 2012-11-22 13:02:24 UTC ***

(In reply to comment #4)
> After reading http://log.bezut.info/instantbird/today#m423, I'm not sure if you
> want this checked in or if you want to wait for a few days with the current
> code to see if things get better by themselves with server side changes.
This patch has nothing to do with the WATCH functionality issues we were seeing, so it can be checked in.
*** Original post on bio 1814 at 2012-11-25 01:07:28 UTC ***

Committed as http://hg.instantbird.org/instantbird/rev/a5587e6cebc8
Status: ASSIGNED → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.4
You need to log in before you can comment on or make changes to this bug.